---
name: BaseInput
route: /Form/BaseInput
menu: Form
---

import { Playground, PropsTable } from 'docz'
import BaseInput from '../../../src'
import { colors } from '@barcard/functions'

## BaseInput

## About

Interface for text input effects. Generally not used as its own component, but
rather extended.

## Properties

<PropsTable of={BaseInput} includeDescription={true} />

## Basic Usage

<Playground>
  <BaseInput
    label={'Base Input'}
    value={''}
    defaultValue={''}
    editable={true}
    useNativeDriver={false}
  />
</Playground>

## Notes

This component generates `RangeError: Maximum call stack size exceeded` in the
playground when rendered.
